Skip to main content
POST
Error

Authorizations

Authorization
string
header
required

API key authentication. Format: Bearer {key_id}:{secret}

Headers

Idempotency-Key
string

Idempotency key for safe retries (required for POST/PUT)

Path Parameters

vaultAccountId
string<uuid>
required

Body

application/json
assetId
string<uuid>
required
address
string
required
Pattern: ^0x[a-fA-F0-9]{40}$
publicKey
string
required

Hex-encoded post-quantum public key

Required string length: 3904
signature
string
required

Hex-encoded post-quantum signature over the ownership challenge: Keccak256('qustody:register:' + lowercase_address). Proves the caller controls the private key for the given address.

Required string length: 6586
label
string

Response

201 - application/json

Wallet registered

id
string<uuid>
required
vaultId
string<uuid>
required
tenantId
string<uuid>
required
assetId
string<uuid>
required
address
string
required
Pattern: ^0x[a-fA-F0-9]{40}$
status
enum<string>
required
Available options:
ACTIVE,
ARCHIVED
createdAt
string<date-time>
required
publicKey
string

Hex-encoded post-quantum public key

label
string